Commit ec07c464 authored by Marius Pa's avatar Marius Pa Committed by Albert Astals Cid
Browse files

CMakeLists.txt cmake_minimum_required should be first

https://cmake.org/cmake/help/latest/command/cmake_minimum_required.html :
"Note Call the cmake_minimum_required() command at the beginning of the
top-level CMakeLists.txt file even before calling the project() command.
It is important to establish version and policy settings before invoking
other commands whose behavior they may affect. See also policy CMP0000."
parent 0a6295b4
Pipeline #247856 passed with stage
in 20 minutes and 42 seconds
cmake_minimum_required(VERSION 3.10.0 FATAL_ERROR)
# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "22")
set(RELEASE_SERVICE_VERSION_MINOR "11")
set(RELEASE_SERVICE_VERSION_MICRO "70")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
cmake_minimum_required(VERSION 3.10.0 FATAL_ERROR)
project(kolourpaint VERSION ${RELEASE_SERVICE_VERSION})
set(QT_MIN_VERSION "5.15.2")
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment